%define anolis_release 1
# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')
%global tarname gtkmm
%global api_ver 2.4

Name:           gtkmm24
Version:        2.24.5
Release: %{anolis_release}%{dist}

Summary:        C++ interface for GTK2 (a GUI library for X)

License:        LGPLv2+
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gtkmm/%{release_version}/gtkmm-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  glibmm24-devel >= 2.24
BuildRequires:  atkmm-devel >= 2.22
BuildRequires:  gtk2-devel >= 2.24
BuildRequires:  cairomm-devel >= 1.2.2
BuildRequires:  pangomm-devel >= 2.26
BuildRequires: make

%description
gtkmm provides a C++ interface to the GTK+ GUI library. gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package        devel
Summary:        Headers for developing programs that will use %{name}.
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       glibmm24-devel
Requires:       atkmm-devel
Requires:       pangomm-devel
Requires:       cairomm-devel

%description devel
This package contains the static libraries and header files needed for
developing gtkmm applications.

%package        docs
Summary:        Documentation for %{name}, includes full API docs
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       glibmm24-doc

%description    docs
This package contains the full API documentation for %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n gtkmm-%{version}

%build
%configure %{!?_with_static: --disable-static} --enable-shared
# removing rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/*.so.*

%dir %{abidir}
%{abidir}/*.dump

%files devel
%doc PORTING demos/gtk-demo/
%{_includedir}/gtkmm-2.4/
%{_includedir}/gdkmm-2.4/
%{?_with_static: %{_libdir}/*.a}
%{_libdir}/*.so
%{_libdir}/gtkmm-2.4/
%{_libdir}/gdkmm-2.4/
%{_libdir}/pkgconfig/*.pc

%files docs
%doc %{_docdir}/%{tarname}-%{api_ver}
%doc %{_datadir}/devhelp/

%files doc
%doc ChangeLog AUTHORS INSTALL NEWS README

%changelog
* Mon Mar 27 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 2.24.5-1
- Init package from upstream
